RKCVTROMA(3)

NAME
RkCvtRoma - convert an entire character string from Romaji to kana by iteratively using RkMapRoma

SYNOPSIS
#include <canna/RK.h>
int RkCvtRoma(romaji, dst, maxdst, src, srclen, flags)
struct RkRxDic *romaji;
unsigned char *dst;
int maxdst;
unsigned char *src;
int srclen;
int flags;

DESCRIPTION
RkCvtRoma converts an entire src character string from Romaji to kana by iteratively using RkMapRoma. The parameters are similar to RkMapRoma(3), except that status is wanting.

RETURN VALUE
This function returns the byte length of the conversion result.

SEE ALSO
RkMapRoma(3)